Issue 126572 - Update OpenSSL to 0.9.8zg
Summary: Update OpenSSL to 0.9.8zg
Status: CLOSED FIXED
Alias: None
Product: Build Tools
Classification: Code
Component: external prerequisites (show other issues)
Version: 4.1.2-dev
Hardware: All All
: P5 (lowest) Normal (vote)
Target Milestone: ---
Assignee: Andrea Pescetti
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-10-07 00:17 UTC by Andrea Pescetti
Modified: 2016-08-30 21:34 UTC (History)
1 user (show)

See Also:
Issue Type: TASK
Latest Confirmation in: ---
Developer Difficulty: ---
pescetti: 4.1.2_release_blocker+


Attachments
Patch by pfg, second version (16.01 KB, patch)
2015-10-09 01:01 UTC, Andrea Pescetti
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description Andrea Pescetti 2015-10-07 00:17:15 UTC
As discussed on the dev list: update OpenSSL to 0.9.8zg.

Patch from pfg is available at
http://people.apache.org/~pfg/patches/aoo-openssl-0.9.8zg.diff

This is one of the standard library updates.
Comment 1 Andrea Pescetti 2015-10-09 01:00:35 UTC
Attaching a new version of Pedro's patch for reference. Patch seems good and both trunk and AOO410 build fine with it.
Comment 2 Andrea Pescetti 2015-10-09 01:01:55 UTC
Created attachment 85035 [details]
Patch by pfg, second version
Comment 3 Andrea Pescetti 2015-10-09 01:20:00 UTC
Applied to trunk with revision 1707642.
Applied to AOO410 for OpenOffice 4.1.2 with revision 1707643.
Comment 4 Andrea Pescetti 2015-10-09 01:51:41 UTC
Further fixes applied to trunk in revision 1707645 and to AOO410 in revision 1707646.
Comment 5 Andrea Pescetti 2015-10-18 22:36:08 UTC
Verified fixed. As discussed with pfg who provided the patch: a good way to check that there are no regressions is to digitally sign a document. Assuming that one already has a certificate installed in Firefox or Thunderbird (which I had), File - Digital signatures:
- Allows to sign with that certificate the same way in 4.0.1 and 4.1.2-RC2
- Recognizes the valid signature upon reopening the file both in 4.0.1 and 4.1.2-RC2
- Recognizes the valid signature from the OTHER file (i.e., opening in 4.0.1 the file signed with 4.1.2-RC2 and vice versa).
Comment 6 Kay 2016-08-30 21:34:14 UTC
Closing.